Website Input - Bug #1365

SSL handshake error
06/01/2016 03:41 PM - Luke Murphey

Status: Closed Start date: 06/01/2016
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Input: Web Spider Estimated time: 0.00 hour
Target version: 3.0

Description

This doesn't return the expected results:

| webscrape url=https://answers.splunk.com/users/1990/LukeMurphey.html selector="#app-sidebar :nth
—child(4) li:nth-child(2)" depth_limit=3 page_limit=25 url_filter="https://splunkbase.splunk.com/a
pp/*"

This generates an exception: command="webscrape", [SSL: SSLV3_ALERT_HANDSHAKE_FAILURE] sslv3 alert handshake failure
(_ssl.c:595)

| webscrape url="https://answers.splunk.com/users/1990/LukeMurphey.html" selector="a" depth_limit=
3 page_limit=10 wurl_filter="*x"

Related issues:
Related to Website Monitoring - Bug #1409: SSL handshake error New 08/10/2016

History

#1 - 06/01/2016 05:21 PM - Luke Murphey

The SSL error doesn't appear on a Unix host with version 2.1. Version 3.0 makes the error appear though.

#2 - 06/01/2016 05:22 PM - Luke Murphey

See http: koverflow.com,

#3 - 06/01/2016 05:23 PM - Luke Murphey

Traceback (most recent call last):
File "/Users/lmurphey/Splunk/splunk_sp/etc/apps/website_input/bin/web_input.py", line 588, in get_result_sin
gle
response_code, content, encoding = cls.get_result_built_in_client( http, url, headers, charset_detect_meta
_enabled, charset_detect_content_type_header_enabled, charset_detect_sniff_ enabled)
File "/Users/lmurphey/Splunk/splunk_sp/etc/apps/website_input/bin/web_input.py", line 474, in get_result_bui
lt_in_client
response, content = http.request( url.geturl(), 'GET', headers=headers)
File "/Users/lmurphey/Splunk/splunk_sp/lib/python2.7/site-packages/httplib2/__init___.py", line 1611, in requ
est
(response, content) = self._request (conn, authority, uri, request_uri, method, body, headers, redirections
, cachekey)
File "/Users/lmurphey/Splunk/splunk_sp/lib/python2.7/site-packages/httplib2/__init__.py", line 1406, in _reqg
uest
redirections=redirections - 1)
File "/Users/lmurphey/Splunk/splunk_sp/lib/python2.7/site-packages/httplib2/__init__.py", line 1611, in requ
est
(response, content) = self._request (conn, authority, uri, request_uri, method, body, headers, redirections
, cachekey)
File "/Users/lmurphey/Splunk/splunk_sp/lib/python2.7/site-packages/httplib2/__init__.py", line 1351, in _reqg
uest

05/01/2024 12



http://stackoverflow.com/questions/33778516/handshake-failure-in-python-ssl-c590

(response, content) = self._conn_request (conn, request_uri, method, body, headers)
File "/Users/lmurphey/Splunk/splunk_sp/lib/python2.7/site-packages/httplib2/__init__.py", line 1272, in _con
n_request
conn.connect ()
File "/Users/lmurphey/Splunk/splunk_sp/lib/python2.7/site-packages/httplib2/__init__.py", line 1059, in conn
ect
raise SSLHandshakeError (e)
SSLHandshakeError: [SSL: SSLV3_ALERT_HANDSHAKE_FAILURE] sslv3 alert handshake failure (_ssl.c:603)

#4 - 06/01/2016 05:33 PM - Luke Murphey
The security package includes: ['pyOpenSSL>=0.13", 'ndg-httpsclient’, 'pyasn1']

http://stackoverflow.com/questions/31811949/pip-install-requestssecurity-vs-pip-install-requests-difference

#5 - 06/01/2016 06:04 PM - Luke Murphey

- Subject changed from Cannot get desired results to SSL handshake error

It looks like URL extraction doesn't happen unless the URL has matches too.
#6 - 06/01/2016 06:06 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100

#7 - 08/11/2016 07:40 PM - Luke Murphey
- Related to Bug #1409: SSL handshake error added
